<?php
include '../../connect.php';
session_start();

$kadPengenalan =$_GET['kadPengenalan'];
$namaMesyuarat =strtoupper($_POST['namaMesyuarat']);
$tarikhMesyuaratDari =$_POST['tarikhMesyuaratDari'];
$tarikhMesyuaratHingga =$_POST['tarikhMesyuaratHingga'];
$masaDari = $_POST['masaDari'];
$masaHingga = $_POST['masaHingga'];
$jenisBilik = $_POST['jenisBilik'];

$tarikhMesyuaratNew = date("Y-m-d", strtotime($tarikhMesyuaratDari));
$tarikhMesyuaratHinggaNew = date("Y-m-d", strtotime($tarikhMesyuaratHingga));

$sql="SELECT bilikID FROM tempahan_bilik WHERE jenisBilik='$jenisBilik' AND status !='BATAL' AND '$tarikhMesyuaratDari' BETWEEN tarikh AND tarikhHingga ; ";
//$sql="SELECT bilikID,jenisBilik FROM tempahan_bilik WHERE tarikh='$tarikhMesyuaratDari' AND masaDari BETWEEN '$masaDari' AND '$masaHingga'  AND jenisBilik='$jenisBilik' AND status !='BATAL'  ";
$result = mysqli_query($conn,$sql);
$row = mysqli_num_rows($result);

date_default_timezone_set("Asia/Kuala_Lumpur");			
$date=date('Y-m-d');
$time=date('H:i:sa');

	if($kadPengenalan=="")
	{
		mysqli_commit($conn);
		echo "<script>alert('Permohonan gagal. Sila mohon semula. ');";
		echo "window.location.href = '../loginPage.html';</script>";
		exit;
	}
	else if($namaMesyuarat =="" || $tarikhMesyuaratDari == "" || $masaDari =="" || $masaHingga == "" || $jenisBilik == "" )
	{
		mysqli_commit($conn);
		echo "<script>alert('Sila lengkapkan maklumat tempahan. ');";
		echo "window.location.href = '../tempahanBilikMesyuarat.php';</script>";
		exit;
		
	}
	else if($row>=1)
	{
		$query="INSERT INTO tempahan_bilik (kad_pengenalan ,nama_mesyuarat,tarikh,tarikhHingga, masaDari,masaHingga,jenisBilik,status,tarikh_mohon)
		VALUES ('".$kadPengenalan."','".$namaMesyuarat."','".$tarikhMesyuaratNew."','".$tarikhMesyuaratHinggaNew."','".$masaDari."','".$masaHingga."','".$jenisBilik."','SENARAI MENUNGGU', '".$date."')";
		$strQuery = mysqli_query($conn,$query);
		
		if($strQuery) 
			{
						
				echo "<script>alert('Tarikh dan waktu tempahan anda telah di mohon oleh pemohon lain. Permohonan anda akan dimasukkan ke SENARAI MENUNGGU.');";
					echo "window.location.href = '../DashboardBilikMesyuarat.php';</script>";
					exit;
			}
			else
			{
				echo 'MySQL Error: ' . mysqli_error($conn);
				exit;
			}
	}
	else
	{
		$query="INSERT INTO tempahan_bilik (kad_pengenalan ,nama_mesyuarat,tarikh,tarikhHingga,masaDari,masaHingga,jenisBilik,status,tarikh_mohon)
		VALUES ('".$kadPengenalan."','".$namaMesyuarat."','".$tarikhMesyuaratNew."','".$tarikhMesyuaratHinggaNew."','".$masaDari."','".$masaHingga."','".$jenisBilik."','SEDANG DIPROSES', '".$date."')";
		$strQuery = mysqli_query($conn,$query);
		
		if($strQuery) 
			{
						
				echo "<script>alert('Maklumat tempahan bilik berjaya dihantar.');";
					echo "window.location.href = '../DashboardBilikMesyuarat.php';</script>";
					exit;
			}
			else
			{
				echo 'MySQL Error: ' . mysqli_error($conn);
				exit;
			}
	}
?>